summaryrefslogtreecommitdiff
path: root/fftw/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'fftw/build.sh')
-rw-r--r--fftw/build.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/fftw/build.sh b/fftw/build.sh
index 3cad563..b89c0c2 100644
--- a/fftw/build.sh
+++ b/fftw/build.sh
@@ -1,14 +1,14 @@
-
+set -e
export modes="--enable-single --enable-long-double"
export FFTW_CONFIGURE="./configure --prefix=$PREFIX --disable-static --enable-shared --enable-threads "
function fftw_build
{
-$FFTW_CONFIGURE "$@" || exit 1
-make -j$CPU_COUNT || exit 1
-make install || exit 1
+ $FFTW_CONFIGURE "$@"
+ make -j$CPU_COUNT
+ make install
}
fftw_build
-for mode in $modes; do fftw_build $mode; done \ No newline at end of file
+for mode in $modes; do fftw_build $mode; done